Bug 344781 - yum fails on yum.conf with ftp baseurl
yum fails on yum.conf with ftp baseurl
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-21 21:25 EDT by morgan read
Modified: 2014-01-21 17:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-21 23:04:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
offending file (1.20 KB, text/plain)
2007-10-21 21:25 EDT, morgan read
no flags Details

  None (edit)
Description morgan read 2007-10-21 21:25:21 EDT
Description of problem:
Yum refuses to parse ftp url as base url in yum.conf
(Tell me I can't type!)

Version-Release number of selected component (if applicable):
[root@localhost ~]# rpm -q yum
yum-3.2.5-1.fc7


How reproducible:
Always

Steps to Reproduce:
1. Insert ftp url and enable baseurl in yum.conf
2.
3.
  
Actual results:
[root@localhost ~]# yum remove openoffice*
Options Error: Error parsing
'ftp.wicks.co.nz/pub/linux/dist/fedora/updates/7/i386/': URL must be http, ftp,
file or https not ""
[root@localhost ~]#

Expected results:
yum works

Additional info:
offending file yum.repos.d/fedora.repo attached
Comment 1 morgan read 2007-10-21 21:25:21 EDT
Created attachment 233691 [details]
offending file
Comment 2 Seth Vidal 2007-10-21 23:04:46 EDT
baseurls have to start out with a protocol identifier your baseurl is:
baseurl=ftp.wicks.co.nz/pub/linux/dist/fedora/$releasever/$basearch/os/

there's no protocol section. Yours should read:
baseurl=ftp://ftp.wicks.co.nz/pub/linux/dist/fedora/$releasever/$basearch/os/

see the ftp:// section - that's required. So yum's error message was accurate.


Comment 3 morgan read 2007-10-22 03:53:46 EDT
Mr Vidal

I doth my hat and take a bow.

Arrhhhh!!!!
I can't type!
(You didn't need to tell me that.)
Thank you.
M. :-)

Note You need to log in before you can comment on or make changes to this bug.